NemID virker ikke på Mac efter Java update – løsning!

UPDATE: NemID virker igen med Java 7u45 – opdater straks, genstart browser og alt er tilbage ved det gamle. Ikke mere usikker downgrade!!
_______________
Det er tirsdag aften, du skal lige i netbanken. Java er blevet opdateret, glad og sikkerhedsbevidst installerer du Java 7u45 – og fluks virker NemID ikke. Problemet er at du skal godkende et nyt certifikat fra DanID, men din browser spørger dig ikke – og kan tilsyneladende ikke tvinges til at spørge: Ingen godkendelse, intet certifikat, ingen netbankadgang. Det burde jo være så NEMt, men det er det ikke. Godnat og sov godt.

Det hjælper ikke at genstarte maskine og browsere, og NemID henviser til en telefon-labyrint, der kun henviser til deres egen hjemmeside, der ikke har nogen løsning på problemet – der er kun en java-nedgradering tilbage. Men frygt ikke, sådan gør du:

1) Afinstaller Java 7u45: I Finder søger du efter JavaAppletPlugin.plugin -> smid filen i papirkurven og tøm spanden.

2) Hent en gammel udgave af Java (hvor NemID virker) her i oktober 2013 er det Java 7u25, den har Oracle liggende her – du skal oprette en konto hos dem for at få lov at downloade filen, men den er gratis. (og du skal ikke verificere email før det virker, så jeg tror næsten man kan skrive hvadsomhelst i formularen. Min jobtitel er fx. NemID-slave)
Update: tag en nyere udgave af op til Java 7u40, den er selvfølgelig bedre end 7u25

3) Så installerer du den forældede udgave af Java igen, genstarter din browser, sig nej tak til at opgradere Java (vælg “Skip this update”, så du bliver spurgt om den næste) – så virker NemID og netbanken igen.

HUSK nu, at nu ved gud og hver mand, at alle danske mac-brugere kører en forældet udgave af Java – og de kan sammenligne med opdateringen for at finde de 51 sikkerhedshuller, som den nye udgave skulle lappe (en slags roadmap for selv dumme hackere). Så det her er jo ikke smart eller sikkert. Bare det eneste der virker. Så brug kun Java i den browser du har dedikeret til Netbank og ting der ikke virker ordentligt på Mac – det er Firefox hos mig. Men ovenstående løsning burde virke lige så fint i Safari (I øvrigt kan fremgangsmåden ovenfor også bruges på Windows, hvor problemet åbenbart er det samme).
PS: Chrome kan kun køre Java 6, som ikke længere vurderes som sikker nok til NemID (fordi det er ikke en 64bit browser, why Google?) – så brug dem til resten og brug en af de andre til NemID.

9 tanker om "NemID virker ikke på Mac efter Java update – løsning!"

  1. Nikolaj

    Perfekt og hurtig løsning. Jeg henviser til den, hvis jeg støder ind i andre med samme problem.

    Kan du ikke i samme omgang løse den fejl jeg får på min PC med Chrome og NemID?
    “Bad Request – Request Too Long”

    Min egen løsning? Bruger nu Opera til netbank og andre NemID ting.

  2. Peter Kibenich

    Det er velsignende enkelt beskrevet og jeg er klar til at løbe sikkerhedsrisikoen – men desværre får jeg intet frem ved søgning på – JavaAppletPlugin.plugin – så jeg er lige vidt.

    Jeg kan se, at trinforklaringen er hentet her: http://www.java.com/en/download/help/mac_uninstall_java.xml. Har I – både forfatter og åbenlyst hurtigt tænkende kommentatorer en forklaring? Kan det hedde noget andet på dansk?

  3. AnetQ Forfatter

    Hej Peter
    Hos mig lå den ikke i mappen Applications/Programmer (som siden du henviser til påstår), men andetsteds – søgte du på hele din mac, eller kun i den angivne mappe? Det kan måske forklare det?
    Men anyway: NemID virker igen med en opdateret Java, så det skal du da have nu! Opdater, genstart browser og kør sikker Java – nu med NemID :)

  4. Peter Kibenich

    Tak AnetQ

    Det viser sig nu, at det alligevel ikke er et komplot mellem NemID og Apple – så er det dårligt planlagt. Man kan i programmer, hjælpeprogrammer, javaindstillinger under fanebladet Netværk fjerne fluebenet i Behold midlertidige arkiver. Så virker det upåklageligt – også med sikker Java. Dette synes at være mirakelkuren, som hverken NemID eller Apple kender (har hørt om mystisk rådgivning i Apple Support og selv prøvet uvidende af slagsen ho NemID). Spred ordet, vi er reddet.

  5. Hans Venge

    Virker og virker . . . hvis man på sin Mac kører Mac OS X 10.6 virker Java 7_45 ikke!
    (Har hørt at grunden er, at Apple ikke længere skriver nye versioner af Java til Mac)
    Hvis man investerer i fx Mac OS X 10.8 virker den “nye” Java.
    Mac-brugere får således påført en ufrivillig udgift på 130,- til et uønsket styresystem alene fordi det offentlige Danmark (og bank-sektor) har valgt at bruge NemId som adgang til skat osv.
    (“Opgraderingen” giver iøvrigt en langsommere opstart og længere lukning af maskinen – og ingen reelle fordele)

  6. Loa

    Hej
    Efter jeg fik inst 10.9.2 har jeg ikke kunne får min mac til at gemme min java og det vil der med sige jeg ikke kan komme på nogle steder hvor jeg skal logge ind med NemID.

    Jeg ved ikke om der er nogen af jer som kan hjælpe mig.

    Den downloader fint programmet, men den gemmer den ikke nogen steder..

    Har lyst til at smide den ud af vinduet

  7. Thomas Lefèvre

    Problemet med “Bad Request – Request Too Long” er en fejl i NemLog-in systemet som man ikke kan gøre så meget ved igen. Sessionen som du har med systemet tilføjer informationer til en header i den kommunikation du har med det og denne bliver desværre ved med at vokse pga. før omtalte fejl. Når den overstiger den maks tilladte størrelser, så sker fejlen.

    Du skal rydde din browser for cookies (er mit gæt) eller også kan du blot benytte en browser i “Private Browsing Mode” eller hvad det nu end hedder i den browser du bruger.

Skriv et svar

Din e-mailadresse vil ikke blive publiceret. Krævede felter er markeret med *